Create order
curl --request POST \
--url https://dev.api.floris3.com/api/offerings/{offeringId}/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"units": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', units: '<string>'})
};
fetch('https://dev.api.floris3.com/api/offerings/{offeringId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dev.api.floris3.com/api/offerings/{offeringId}/orders"
payload = {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"units": "<string>"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offering": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"symbol": "<string>",
"blockchain": "<string>",
"tokenization_platform": "<string>",
"decimals": 123,
"type": "EQUITY_TRADITIONAL",
"price_per_token": "<string>"
},
"units": "<string>",
"total_amount": 123,
"payment_provider": "bank_transfer",
"paid_at": "<string>",
"paid_amount": 123,
"currency": "<string>",
"status": "ORDERED",
"payment_bank_account": {
"account_holder": "<string>",
"bank": "<string>",
"bic": "<string>",
"iban": "<string>",
"currency": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}Orders
Create order
POST
https://dev.api.floris3.com
/
api
/
offerings
/
{offeringId}
/
orders
Create order
Authorizations
Bearer access token from POST /api/auth
Headers
Unique key for safe retries. Max 128 characters.
Required string length:
1 - 128Path Parameters
offeringId identifier
Response
Created
Hide child attributes
Hide child attributes
Available options:
EQUITY_TRADITIONAL, EQUITY_TOKENIZED, EQUITY_SPV_DIGITAL, DEBT_TRADITIONAL, DEBT_TOKENIZED, DEBT_SPV_DIGITAL, ACCESS_TRADITIONAL, ACCESS_TOKENIZED, ART_COLLECTION, ART_TOKENIZED Available options:
bank_transfer Available options:
ORDERED, PAID, NOPAYMENT, READYTOMINT, MINTING, MINTED, CANCELLED 
